<template>
  <div class="avatar-upload">
    <image-form
      :value="value"
      index="0"
      @link-change-url="changeLinkUrl" />
  </div>
</template>

<script>

  import ImageForm from '@/components/content-forms/ImageForm';

  export default {
    components: {
      ImageForm
    },
    data() {
      return {
        value: {
          url: ''
        }
      };
    },
    methods: {
      changeLinkUrl(value, index) {
        this.$emit('avatarUpdate', value);
      }
    },
  };
</script>

<style scoped lang="scss">
  @import "@/styles/_variables.scss";

</style>
